Apt-Get Install Firefox Error: Package Has No Installation Candidate---Need Firefox for Selenium

Using apt-get install firefox I get:

Package firefox is not available but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source

E: Package 'firefox' has no installation candidate.

I have already tried apt-get update which did add more packages but getting the same error.

I can manually go onto firefox through the desktop Firefox ESR icon and webpages work fine just not through the terminal. The firefox on my desktop is 52.6.0 but I need this upgraded to the latest for a script to run using selenium. Not sure if the desktop firefox even has anything to do with my terminal at this point.

Update: Also tried running apt-get install firefox-esr which did install but selenium still fails to use this. Seems to be looking for the original firefox not ESR version.

Using VMware player for kali Linux i386 32-bit

Get The Null Byte Newsletter

Never miss a new hacking or security guide

3 Responses

open synaptic or similar in your Kali VM. Search for Firefox and see what is the exact package name (Since the desktop icon says firefox ES). then install that very package using apt

Used apt-get install Firefox-esr and it looks like it installed it but now when i try to run it through Selenium I'm getting a geckodriver not found

Managed to install the geckodriver but now Selenium won't open Firefox esr and i get errors installing regular Firefox

Share Your Thoughts

  • Hot
  • Active